qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-devel] [PATCH v4 1/1] tests/qemu-iotests: adding savevm/loadvm


From: Daniel Henrique Barboza
Subject: Re: [Qemu-devel] [PATCH v4 1/1] tests/qemu-iotests: adding savevm/loadvm with postcopy flag test
Date: Tue, 5 Dec 2017 09:47:09 -0200
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Thunderbird/52.4.0



On 12/04/2017 08:23 PM, Max Reitz wrote:
On 2017-12-04 16:17, Daniel Henrique Barboza wrote:
This patch implements a test case for the scenario that was failing
prior to the patch "migration/ram.c: do not set 'postcopy_running' in
POSTCOPY_INCOMING_END", commit acab30b85d.

This new test file 201 was derived from the test file 181 authored
by Kevin Wolf.

CC: Kevin Wolf <address@hidden>
CC: Max Reitz <address@hidden>
CC: Cleber Rosa <address@hidden>
Signed-off-by: Daniel Henrique Barboza <address@hidden>
---
  tests/qemu-iotests/201     | 116 +++++++++++++++++++++++++++++++++++++++++++++
  tests/qemu-iotests/201.out |  23 +++++++++
  tests/qemu-iotests/group   |   1 +
  3 files changed, 140 insertions(+)
  create mode 100755 tests/qemu-iotests/201
  create mode 100644 tests/qemu-iotests/201.out

diff --git a/tests/qemu-iotests/201 b/tests/qemu-iotests/201
new file mode 100755
index 0000000000..9b6e23bbfc
--- /dev/null
+++ b/tests/qemu-iotests/201
@@ -0,0 +1,116 @@
+#!/bin/bash
+#
+# Test savevm and loadvm after live migration with postcopy flag
+#
+# Copyright (C) 2017, IBM Corporation.
+#
+# This file is derived from tests/qemu-iotests/181 by Kevin Wolf
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+status=1       # failure is the default!
+
+MIG_SOCKET="${TEST_DIR}/migrate"
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.qemu
+
+_cleanup()
+{
+    rm -f "${MIG_SOCKET}"
+    _cleanup_test_img
+    _cleanup_qemu
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
Sorry, I had to unqueue the patch again, because I only just saw there's
something like

# Internal snapshots are (currently) impossible with refcount_bits=1
_unsupported_imgopts 'refcount_bits=1[^0-9]'
missing here (taken from 080).

(Without that, the test fails with
  $ ./check -T -qcow2 -o refcount_bits=1 201
)

I could have added it myself, but that seemed a bit too much of a change
to me...

No problem, I'll resend with that extra instruction.

I have a question though: is there a way to run a qemu-iotest with all the
parameters combinations (image type, image protocol ...) that the test must
support?


Thanks,


Daniel



Max

+
+size=64M
+_make_test_img $size




reply via email to

[Prev in Thread] Current Thread [Next in Thread]